<?php
namespace wbb\system\event\listener;
use wcf\system\event\IEventListener;
use wcf\data\user\jcoins\statement\UserJcoinsStatementAction;
use wcf\system\WCF;

/**
 * Listen to Thread read action for jCoins
 * 
 * @author		Mirco Sarkissian
 * @copyright	2014 Mirco Sarkissian
 * @license		Creative Commons BY-SA <http://creativecommons.org/licenses/by-sa/4.0/>
 * @package		com.ms.thread.jcoins
 * @subpackage	system.event.listener
 * @category	Community Framework
 */
class JCoinsMsThreadReadListener implements IEventListener {
	/**
	 * @see	wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		
		// need module
		if (!MODULE_JCOINS) return;
		
		// get data
		// user may read own threads without jCoins
		$news = $eventObj->thread;
		$userID = WCF::getUser()->userID;
		$sum = JCOINS_RECEIVECOINS_MSTHREAD_READ;
		
		if($userID && $userID != $news->userID && $sum != 0) {
			$action = new UserJcoinsStatementAction(array(), 'create', array(
					'data' => array(
							'reason' => 'wcf.jcoins.statement.threadread.receive',
							'sum' => $sum,
							'userID' => $userID
					),
					'changeBalance' => 1
			));
			$action->validateAction();
			$action->executeAction();
		}
	}
}